Subject: pkg/25256: patch for mail/cyrus-imapd22 segfaults (lmtpd, pop3d)
To: None <>
From: None <>
List: pkgsrc-bugs
Date: 04/20/2004 17:10:38
>Number:         25256
>Category:       pkg
>Synopsis:       patch for mail/cyrus-imapd22 segfaults (lmtpd, pop3d)
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Apr 20 15:11:00 UTC 2004
>Originator:     Jukka Salmi
>Release:        NetBSD 2.0C
System: NetBSD 2.0C NetBSD 2.0C (GENERIC) #0: Mon Apr 19 23:42:44 CEST 2004 i386
Architecture: i386
Machine: i386
If using the Kerberos 5 authorisation module in mail/cyrus-imapd22 (i.e.
running configure with option --with-auth=krb5; this happens by default if
KERBEROS is defined and != 4) lmtpd and pop3d dump core. This bug is fixed
in CVS, so I think we should include this fix in pkgsrc. Otherwise krb5
auth can't be used.
I'll send the patch in a few seconds...